# Method Encoder()->nameof()

Method nameof

  ``mixed` nameof(`object`|`function`(:`void`)|`program` `x`)`

Description

  Called by encode_value() to encode objects, functions and programs.

Returns

  Returns something encodable on success, typically a string. The returned value will be passed to the corresponding `objectof()`, `functionof()` or `programof()` by decode_value().

  If it returns UNDEFINED then encode_value starts to encode the thing recursively, so that decode_value later will rebuild a copy.

Note

  encode_value() has fallbacks for some classes of objects, functions and programs.

See also

  Decoder.objectof(), Decoder.functionof(), Decoder.objectof()